Modify

Opened 7 months ago

Closed 7 months ago

Last modified 7 months ago

#13808 closed defect (fixed)

regression: shortcuts are broken

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone: 16.10
Component: Core shortcuts Version:
Keywords: template_report Cc:

Description (last modified by Klumbumbus)

Shortcuts don't work anymore. If I set them again then after the required restart they are reset to the default value. Also I have multiple entries in the shortcut list for one function (while in my preferences.xml there is only one entry). So actually the modified shortcut is still listed but it is overwritten by the default value. See screenshots. Problem exists with english and german JOSM.



URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-10-15 21:45:25 +0200 (Sat, 15 Oct 2016)
Build-Date:2016-10-16 01:36:33
Revision:11132
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11132 de) Windows 7 32-Bit
Memory Usage: 340 MB / 870 MB (126 MB allocated, but free)
Java version: 1.8.0_102-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,900m, -Djnlpx.splashport=52576, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (32699)
+ DirectDownload (32699)
+ DirectUpload (32699)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.1)
+ OpeningHoursEditor (32699)
+ alignways (32921)
+ apache-commons (32699)
+ apache-http (32699)
+ buildings_tools (32944)
+ editgpx (32699)
+ imagery_offset_db (32796)
+ log4j (32699)
+ measurement (32936)
+ photo_geotagging (32699)
+ photoadjust (32863)
+ reverter (32796)
+ tag2link (32941)
+ tageditor (33021)
+ tagging-preset-tester (32869)
+ terracer (33031)
+ turnlanes-tagging (252)
+ turnrestrictions (32796)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (33017)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss

Last errors/warnings:
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.mapillary.gui.MapillaryChangesetDialog$SubmitAction@2e440
- W: Unable to get color from '' for color preference 'extrude.main.line'
- W: Unable to get color from '' for color preference 'improve.way.accuracy.helper.line'
- W: Unable to get color from '' for color preference 'make.parallel.helper.line'

Attachments (2)

3timesdownloadincurrentview.png (77.6 KB) - added by Klumbumbus 7 months ago.
3timescopy.png (77.2 KB) - added by Klumbumbus 7 months ago.

Download all attachments as: .zip

Change History (14)

Changed 7 months ago by Klumbumbus

Changed 7 months ago by Klumbumbus

Attachment: 3timescopy.png added

comment:1 Changed 7 months ago by Klumbumbus

Description: modified (diff)

comment:2 Changed 7 months ago by simon04

For me, assigning F1 to the "Edit: Copy" operation works. At the same time I marked "Help" disabled.

For further investigations it would be helpful to get the console output regarding shortcuts, such as:

2016-10-26 14:21:39.634 INFO: Reassigning shortcut 'system:help' from null to 576 because of conflict with F1
2016-10-26 14:21:39.634 INFO: Silent shortcut conflict: 'system:help' moved by 'system:copy:cua' to 'Alt+Shift+F1'.
2016-10-26 14:21:39.768 INFO: Reassigning shortcut 'system:help' from null to 576 because of conflict with F1
2016-10-26 14:21:39.768 INFO: Silent shortcut conflict: 'system:help' moved by 'system:copy:cua' to 'Alt+Shift+F2'.

comment:3 Changed 7 months ago by Klumbumbus

Okt 26, 2016 1:50:47 PM org.openstreetmap.josm.Main info
INFORMATION: Reassigning shortcut 'system:help' from null to 640 because of conflict with F1
Okt 26, 2016 1:50:47 PM org.openstreetmap.josm.Main info
INFORMATION: Tastenkürzelkonflikt: 'system:help' wurde von 'system:copy' auf 'Strg+Alt+F1' verschoben.
Okt 26, 2016 1:50:48 PM org.openstreetmap.josm.Main info
INFORMATION: GET https://josm.openstreetmap.de/wiki/De:StartupPage -> 200
Okt 26, 2016 1:50:48 PM org.openstreetmap.josm.Main info
INFORMATION: Reassigning shortcut 'system:help' from null to 640 because of conflict with F1
Okt 26, 2016 1:50:48 PM org.openstreetmap.josm.Main info
INFORMATION: Tastenkürzelkonflikt: 'system:help' wurde von 'system:copy' auf 'Strg+Alt+F1' verschoben.

I just noticed that another custom shortcut works fine (F9 instead of default K for house number tagging tool)

comment:4 Changed 7 months ago by Klumbumbus

I just reset all shortcuts, restarted, set them again restarted and some are working and some not like before:

not working:

  • copy
  • toolbar download in current view

working:

  • paste tags
  • house number tagging tool

It must be a regression of r11122 because I tested josm-snapshot-11121.jar which works for me and josm-snapshot-11124.jar which doesn't work for me.

Last edited 7 months ago by Klumbumbus (previous) (diff)

comment:5 Changed 7 months ago by simon04

Resolution: fixed
Status: newclosed

In 11170/josm:

fix #13808 see #12030 - Custom shortcuts are broken

comment:6 Changed 7 months ago by Klumbumbus

Resolution: fixed
Status: closedreopened

The shortcurt for "toolbar download in current view" works now, however I still can't change the shortcut for copy. If I reset all the shortcuts then there is copy twice in my list (ctrl+C and ctrl+insert). When I change them to something else and restart then a third copy appears in the list, which has ctrl+c set and overwrites the other two (see first screenshot).

In exported shortcut preferences file there are two entries:

<list key="shortcut.entry.system:copy" xmlns="http://josm.openstreetmap.de/preferences-1.0">
    <entry value="Bearbeiten: Kopieren"/>
    <entry value="67"/>
    <entry value="5002"/>
    <entry value="112"/>
    <entry value="0"/>
    <entry value="false"/>
    <entry value="true"/>
  </list>
<list key="shortcut.entry.system:copy:cua" xmlns="http://josm.openstreetmap.de/preferences-1.0">
    <entry value="Bearbeiten: Kopieren"/>
    <entry value="155"/>
    <entry value="5006"/>
    <entry value="112"/>
    <entry value="0"/>
    <entry value="false"/>
    <entry value="true"/>
  </list>

console:

Okt 27, 2016 11:41:06 PM org.openstreetmap.josm.Main info
INFORMATION: Reassigning shortcut 'system:help' from null to 640 because of conflict with F1
Okt 27, 2016 11:41:06 PM org.openstreetmap.josm.Main info
INFORMATION: Tastenkürzelkonflikt: 'system:help' wurde von 'system:copy' auf 'Strg+Alt+F1' verschoben.
Okt 27, 2016 11:41:07 PM org.openstreetmap.josm.Main info
INFORMATION: Reassigning shortcut 'system:help' from null to 640 because of conflict with F1
Okt 27, 2016 11:41:07 PM org.openstreetmap.josm.Main info
INFORMATION: Tastenkürzelkonflikt: 'system:help' wurde von 'system:copy' auf 'Strg+Alt+F2' verschoben.


URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-10-27 00:37:50 +0200 (Thu, 27 Oct 2016)
Build-Date:2016-10-27 01:34:54
Revision:11179
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11179 de) Windows 7 32-Bit
Memory Usage: 247 MB / 870 MB (88 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,900m, -Djnlpx.splashport=56770, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]

comment:7 in reply to:  6 ; Changed 7 months ago by simon04

Resolution: fixed
Status: reopenedclosed

Replying to Klumbumbus:

however I still can't change the shortcut for copy. If I reset all the shortcuts then there is copy twice in my list (ctrl+C and ctrl+insert). When I change them to something else and restart then a third copy appears in the list, which has ctrl+c set and overwrites the other two (see first screenshot).

This is no regression of r11122, but also present in r10966 (tested). Let's use #13666 for CTRL+V problems.

comment:8 in reply to:  7 Changed 7 months ago by Klumbumbus

Replying to simon04:

This is no regression of r11122, but also present in r10966 (tested). Let's use #13666 for CTRL+V problems.

No, with version 11121 I can modify the shortcuts of copy and paste without problems.
I use F1 for copy for years. (It was even a bit more advanced. When an object was selected then F1 worked as copy and when no object was selected then it still worked in its default behavior, i.e. opens help browser or when a tag in the tags/membership dialog was selected opens the tag wiki page.)

comment:9 Changed 7 months ago by simon04

Resolution: fixed
Status: closedreopened

comment:10 Changed 7 months ago by simon04

Resolution: fixed
Status: reopenedclosed

In 11207/josm:

fix #13808 see #12030 - Custom system shortcuts are broken

comment:11 Changed 7 months ago by Klumbumbus

Thanks. Works fine for me as before. (From my point of view new stable can be released.)

comment:12 Changed 7 months ago by simon04

Thank you for testing, your feedback and your patience. :)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.